Bug 1312946 - hammer content-view version incremental-update doesn't recognize listed --environments option
hammer content-view version incremental-update doesn't recognize listed --env...
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer (Show other bugs)
6.1.7
x86_64 Linux
unspecified Severity low (vote)
: GA
: --
Assigned To: Justin Sherrill
jcallaha
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-29 10:23 EST by Eric Lavarde
Modified: 2016-07-27 07:21 EDT (History)
5 users (show)

See Also:
Fixed In Version: rubygem-katello-3.0.0.15-1,gofer-2.7.6-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-27 07:21:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Lavarde 2016-02-29 10:23:59 EST
Description of problem:
hammer complains about missing --environment-ids parameters whereas the help states that --environments is also valid.

Version-Release number of selected component (if applicable):
6.1.7
$ rpm -qa | grep hammer
rubygem-hammer_cli_foreman_tasks-0.0.3.5-1.el7sat.noarch
rubygem-hammer_cli_foreman_docker-0.0.3.10-1.el7sat.noarch
rubygem-hammer_cli_foreman_bootdisk-0.1.2.7-1.el7sat.noarch
rubygem-hammer_cli_katello-0.0.7.21-1.el7sat.noarch
rubygem-hammer_cli-0.1.4.13-1.el7sat.noarch
rubygem-hammer_cli_gutterball-0.0.1.3-1.el7sat.noarch
rubygem-hammer_cli_foreman_discovery-0.0.1.10-1.el7sat.noarch
rubygem-hammer_cli_import-0.10.20-1.el7sat.noarch
rubygem-hammer_cli_foreman-0.1.4.15-1.el7sat.noarch

How reproducible:
always

Steps to Reproduce:
1. $ hammer content-view version incremental-update --content-view-version "xxx" --errata-ids yyy --environments lce-dev
An error occurred incrementally updating the content view:
  Error: option '--environment-ids' is required
  
  See: 'hammer content-view version incremental-update --help'
2.$ hammer content-view version incremental-update --help
[...]
 --environment-ids ENVIRONMENTS                      list of environment IDs to update the content view version in
                                                     Comma separated list of values.
 --environments ENVIRONMENT_NAMES                    Comma separated list of values.
[...]

Actual results:
--environments isn't recognized though it should be valid.

Expected results:
both --environments and --environment-ids can be similarly used.

Additional info:
Comment 1 Justin Sherrill 2016-03-31 11:43:00 EDT
This is going to be fixed as part of https://bugzilla.redhat.com/show_bug.cgi?id=1315278
Comment 3 Justin Sherrill 2016-04-01 12:18:39 EDT
Moving to POST for QA to test, no change needed for this bz
Comment 4 jcallaha 2016-06-20 11:39:31 EDT
Verified in Satellite 6.2 Beta Snap 16.

you can use the lifecycle-environments flag to specify the environment you want to target.

[root@rhsm-qe-1 ~]# hammer content-view version incremental-update --content-view-version-id 2 --errata-ids RHSA-2016:1139 --lifecycle-environments Dev --organization-id 1
[....................................................................................................................................................................................] [100%]
Content View: rhel7 capsule version 1.1
Added Content:
  Errata:
        RHSA-2016:1139
  Packages:
        squid-3.3.8-26.el7_2.3.x86_64
Comment 5 Bryan Kearney 2016-07-27 07:21:59 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1501

Note You need to log in before you can comment on or make changes to this bug.